import { z, type ZodSchema } from 'zod';
import { Envelope } from './envelope.js';
import type { ParsedResult } from '../types/index.js';
/**
 * API Gateway V2 envelope to extract data within body key
 */
export declare class ApiGatewayV2Envelope extends Envelope {
    static parse<T extends ZodSchema>(data: unknown, schema: T): z.infer<T>;
    static safeParse<T extends ZodSchema>(data: unknown, schema: T): ParsedResult;
}
//# sourceMappingURL=apigwv2.d.ts.map