import { z, type ZodSchema } from 'zod';
import { Envelope } from './envelope.js';
import type { ParsedResult } from '../types/index.js';
/**
 * CloudWatch Envelope to extract a List of log records.
 *
 *  The record's body parameter is a string (after being base64 decoded and gzipped),
 *  though it can also be a JSON encoded string.
 *  Regardless of its type it'll be parsed into a BaseModel object.
 *
 *  Note: The record will be parsed the same way so if model is str
 */
export declare class CloudWatchEnvelope extends Envelope {
    static parse<T extends ZodSchema>(data: unknown, schema: T): z.infer<T>;
    static safeParse<T extends ZodSchema>(data: unknown, schema: T): ParsedResult;
}
//# sourceMappingURL=cloudwatch.d.ts.map